/// <reference types="pdfkit" />
import { Invoice } from './index';
import { i18n } from 'i18next';
export declare class InvoicePDF {
    private static readonly formatCurrency;
    private readonly formatDate;
    private readonly generateHr;
    private readonly invoice;
    private readonly i18n;
    private readonly doc;
    constructor(invoice: Invoice, i18next: i18n);
    private generateHeader;
    private generateCustomerInformation;
    private generateTableRow;
    private generateInvoiceTable;
    private generateFooter;
    /**
     * Generate the PDF file corresponding to the invoice
     * @returns {PDFKit.PDFDocument} A PDFKit document
     */
    generate(): Promise<PDFKit.PDFDocument>;
}
